/* File......: $erase.prg$
*  Author....: cautere@innet.be
*  Date......: $Date... $
*  Revision..: $Revision$
*  Log file..: $Logfile$
*/

/* $DOC$
*  $FUNCNAME$
*     FERASEALL()
*
*  $CATEGORY$
*    Fileio
*
*  $DESCRIPTION$
*    Global file delete (e.g. like dos del *.NTX)
*    Warning: files must be closed first.
*
*  $SYNTAX$
*    FERASEALL(cPathname)
*
*  $ARGUMENTS$
*    <cPathName> = files to delete
*
*  $RETURNS$
*     NIL
*
*
*  $EXAMPLES$
*    FERASEALL("C:\DATA\*.NTX")
*    FERASEALL("C:\TEMP\TEMP????.*")
*
*  $SEEALSO$
*    exuse()
*
*  $END$
*/

FUNCTION FEraseAll(cFiles)
  LOCAL path := LEFT(cFiles,MAX(RAT("\",cFiles),RAT(":",cFiles)))
RETURN AEVAL(Directory(cFiles), {| aFile | FErase(path+aFile[1]) })

